ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IEccSignalGenerator Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IEccSignalGenerator:

## Public Member Functions
EICC4cPwmUnitType | GetUnitType ()
| Returns active unit type on channel.
void | SetUnitType (EICC4cPwmUnitType unit)
| Sets active unit type on channel.
bool | IsRunning ()
| Returns status of signal generator (running, stopped).
void | SwitchRunning (bool enable)
| Disable/enable signal generator (running, stopped).
ESignalGeneratorShape | GetShape ()
| Returns shape of waveform.
void | SetShape (ESignalGeneratorShape shape)
| Sets shape of waveform.
float | GetFrequency ()
| Returns frequency in Hz of generated signal.
void | SetFrequency (float value)
| Sets frequency in Hz of generated signal.
float | GetAmplitude ()
| Returns amplitude of generated signal.
void | SetAmplitude (float value)
| Sets amplitude of generated signal.
float | GetOffset ()
| Returns offset of generated signal.
void | SetOffset (float offset)
| Sets offset of generated signal.
float | GetPhaseDelay ()
| Returns phase in rad of generated signal.
void | SetPhaseDelayDegrees (float phaseDelay)
| Sets phase in degrees of generated signal.
float | GetPhaseDelayDegrees ()
| Returns phase in degrees of generated signal.
void | SetPhaseDelay (float phaseDelay)
| Sets phase in rad of generated signal.
int | GetCycles ()
| Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.
void | SetCycles (int cycles)
| Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.
float | GetDutyCycles ()
| Returns duty cycle of square and pulse shapes (ignored for other shape types)
void | SetDutyCycles (float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types)
EExternalTriggerType | GetExternalTrigger ()
| Returns flag. If true, turning on the signal generator can be synchronized with an external signal.
void | SetExternalTrigger (EExternalTriggerType trigger)
| Sets flag. If true, turning on the signal generator can be synchronized with an external signal.
SignalGeneratorParametersDto | GetSignalGeneratorValues ()
| Returns object populated with signal generator values.
void | SetSignalGeneratorValues (SignalGeneratorParametersDto axisValues)
| Sets object populated with signal generator values.

## Member Function Documentation

## ◆ GetAmplitude()

float ICC4cPwmSdk.Device.IEccSignalGenerator.GetAmplitude | ( |  | ) |

Returns amplitude of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetCycles()

int ICC4cPwmSdk.Device.IEccSignalGenerator.GetCycles | ( |  | ) |

Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ GetDutyCycles()

float ICC4cPwmSdk.Device.IEccSignalGenerator.GetDutyCycles | ( |  | ) |

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetExternalTrigger()

EExternalTriggerType ICC4cPwmSdk.Device.IEccSignalGenerator.GetExternalTrigger | ( |  | ) |

Returns flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

## ◆ GetFrequency()

float ICC4cPwmSdk.Device.IEccSignalGenerator.GetFrequency | ( |  | ) |

Returns frequency in Hz of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetOffset()

float ICC4cPwmSdk.Device.IEccSignalGenerator.GetOffset | ( |  | ) |

Returns offset of generated signal.

Returns

## ◆ GetPhaseDelay()

float ICC4cPwmSdk.Device.IEccSignalGenerator.GetPhaseDelay | ( |  | ) |

Returns phase in rad of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetPhaseDelayDegrees()

float ICC4cPwmSdk.Device.IEccSignalGenerator.GetPhaseDelayDegrees | ( |  | ) |

Returns phase in degrees of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetShape()

ESignalGeneratorShape ICC4cPwmSdk.Device.IEccSignalGenerator.GetShape | ( |  | ) |

Returns shape of waveform.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetSignalGeneratorValues()

SignalGeneratorParametersDto ICC4cPwmSdk.Device.IEccSignalGenerator.GetSignalGeneratorValues | ( |  | ) |

Returns object populated with signal generator values.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetUnitType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.IEccSignalGenerator.GetUnitType | ( |  | ) |

Returns active unit type on channel.

Returns

## ◆ IsRunning()

bool ICC4cPwmSdk.Device.IEccSignalGenerator.IsRunning | ( |  | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ SetAmplitude()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetAmplitude | ( | float | value | ) |

Sets amplitude of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetCycles()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetCycles | ( | int | cycles | ) |

Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ SetDutyCycles()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetDutyCycles | ( | float | dutyCycles | ) |

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetExternalTrigger()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetExternalTrigger | ( | EExternalTriggerType | trigger | ) |

Sets flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

## ◆ SetFrequency()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetFrequency | ( | float | value | ) |

Sets frequency in Hz of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetOffset()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetOffset | ( | float | offset | ) |

Sets offset of generated signal.

Returns

## ◆ SetPhaseDelay()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetPhaseDelay | ( | float | phaseDelay | ) |

Sets phase in rad of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetPhaseDelayDegrees()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetPhaseDelayDegrees | ( | float | phaseDelay | ) |

Sets phase in degrees of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetShape()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetShape | ( | ESignalGeneratorShape | shape | ) |

Sets shape of waveform.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetSignalGeneratorValues()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetSignalGeneratorValues | ( | SignalGeneratorParametersDto | axisValues | ) |

Sets object populated with signal generator values.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SetUnitType | ( | EICC4cPwmUnitType | unit | ) |

Sets active unit type on channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SwitchRunning()

void ICC4cPwmSdk.Device.IEccSignalGenerator.SwitchRunning | ( | bool | enable | ) |

Disable/enable signal generator (running, stopped).

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/Ecc1cSdkDeviceController.cs